Package org.jboss.logging.annotations

# Annotation Type Message

@Target(METHOD) @Retention(CLASS) @Documented public @interface Message
Assigns a message string to a resource method. The method arguments are used to supply the positional parameter values for the method.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Message.Format`
The possible format types.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The default format string of this message.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Message.Format`
`format`
The format type of this method (defaults to `Message.Format.PRINTF`).
`int`
`id`
The message ID number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`INHERIT`
Indicates that this message should inherit the ID from another message with the same name.
`static final int`
`NONE`
Indicates that this message has no ID.

## Field Details

### NONE

static final int NONE
Indicates that this message has no ID.

See Also:
  - Constant Field Values

### INHERIT

static final int INHERIT
Indicates that this message should inherit the ID from another message with the same name.

See Also:
  - Constant Field Values

## Element Details

### value

String value
The default format string of this message.

Expressions in the form of `${property.key:default-value}` can be used for the value. If the property key is prefixed with `sys.` a system property will be used. If the key is prefixed with `env.` an environment variable will be used. In all other cases the `org.jboss.logging.tools.expressionProperties` processor argument is used to specify the path the properties file which contains the values for the expressions.

Returns:
  the format string

### id

int id
The message ID number. Only one message with a given name may specify an ID other than `INHERIT`.

Returns:
  the message ID number

Default:
  -1

### format

Message.Format format
The format type of this method (defaults to `Message.Format.PRINTF`).

Returns:
  the format type

Default:
  PRINTF